# $Revision: 1.98 $, $Date: 2008-02-06 20:55:37 $
Summary:	A feature-rich PHP discussion board
Summary(pl.UTF-8):	Forum dyskusyjne o dużych możliwościach
Name:		phpBB
Version:	2.0.21
Release:	3
License:	GPL v2
Group:		Applications/WWW
Source0:	http://dl.sourceforge.net/phpbb/%{name}-%{version}.tar.bz2
# Source0-md5:	891dd4d30539dad4ba301db2ad038392
Source1:	http://www.phpbb.com/files/releases/language_packs/lang_polish.tar.gz
# Source1-md5:	db020ef788d4bd50ce04014964e3e043
Source2:	http://www.phpbb.com/files/releases/language_packs/subsilver_polish.tar.gz
# Source2-md5:	9367f7a761aef3795ffa296b413136b4
Source3:	http://www.phpbb.com/files/releases/language_packs/lang_german.tar.gz
# Source3-md5:	5170a64aac5bf429b2c61fe36728c8cf
Source4:	http://www.phpbb.com/files/releases/language_packs/subsilver_german.tar.gz
# Source4-md5:	8340f310ee4892f3e19da3e000fdb708
Source5:	http://www.phpbb.com/files/releases/language_packs/lang_french.tar.gz
# Source5-md5:	a46b461d5e5406b1cf24bcf4b55ada08
Source6:	http://www.phpbb.com/files/releases/language_packs/subsilver_french.tar.gz
# Source6-md5:	419157eb144fa81b7464a5f2edeea434
Source7:	%{name}.conf
Source8:	%{name}.ico
URL:		http://www.phpbb.com/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(triggerpostun):	sed >= 4.0
Requires:	php(pcre)
Requires:	webapps
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_avatardir	/var/lib/%{name}/avatars
%define		_appdir		%{_datadir}/%{name}
%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
phpBB is a UBB-style dissussion board written in PHP backended by a
MySQL database. It includes features such as posting/replying/editing
messages, private messages, private forums, user and anonymous
posting, robust theming, user ranking by posts or by special, admin
definable, ranks, and much more.

%description -l pl.UTF-8
phpBB jest forum dyskusyjnym w stylu UBB napisanym w PHP z użyciem
bazy danych MySQL. Ma możliwości takie jak: wysyłanie, odpisywanie,
edycja wiadomości, prywatne wiadomości, prywatne fora, wysyłanie jako
użytkownik i anonimowe, bogaty wybór motywów, ranking użytkowników
według ich wiadomości lub specjalne, definiowane przez administratora,
rankingi i wiele innych.

%package install
Summary:	A feature-rich PHP discussion board - installer
Summary(pl.UTF-8):	Forum dyskusyjne o dużych możliwościach - instalator
Group:		Applications/Databases/Interfaces
Requires:	phpBB

%description install
Package needed for %{name} forum instalation.

%description install -l pl.UTF-8
Pakiet potrzebny do instalacji forum %{name}.

%prep
%setup -q -n phpBB2

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_appdir}/{admin,db,images,includes,install/schemas,language,templates} \
	$RPM_BUILD_ROOT{%{_sysconfdir},/etc/httpd,%{_avatardir}}

install *.{php,inc}	$RPM_BUILD_ROOT%{_appdir}
install admin/*.php	$RPM_BUILD_ROOT%{_appdir}/admin
install db/*.php	$RPM_BUILD_ROOT%{_appdir}/db
install includes/*.php	$RPM_BUILD_ROOT%{_appdir}/includes
install install/*.php	$RPM_BUILD_ROOT%{_appdir}/install
install install/schemas/*.sql $RPM_BUILD_ROOT%{_appdir}/install/schemas

cp -R images/*		$RPM_BUILD_ROOT%{_appdir}/images
cp -R images/avatars/*	$RPM_BUILD_ROOT%{_avatardir}
cp -R language/*	$RPM_BUILD_ROOT%{_appdir}/language
cp -R templates/*	$RPM_BUILD_ROOT%{_appdir}/templates
rm -rf $RPM_BUILD_ROOT%{_appdir}/images/avatars
ln -sf %{_avatardir} $RPM_BUILD_ROOT%{_appdir}/images/avatars

install config.php $RPM_BUILD_ROOT%{_sysconfdir}/config.php
install %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/favicon.ico
touch $RPM_BUILD_ROOT%{_sysconfdir}/robots.txt
ln -sf %{_sysconfdir}/config.php $RPM_BUILD_ROOT%{_appdir}/config.php
ln -sf %{_sysconfdir}/favicon.ico $RPM_BUILD_ROOT%{_appdir}/favicon.ico
ln -sf %{_sysconfdir}/robots.txt $RPM_BUILD_ROOT%{_appdir}/robots.txt

tar zxf %{SOURCE1} -C $RPM_BUILD_ROOT%{_appdir}/language/
tar zxf %{SOURCE2} -C $RPM_BUILD_ROOT%{_appdir}/templates/
tar zxf %{SOURCE3} -C $RPM_BUILD_ROOT%{_appdir}/language/
tar zxf %{SOURCE4} -C $RPM_BUILD_ROOT%{_appdir}/templates/
tar zxf %{SOURCE5} -C $RPM_BUILD_ROOT%{_appdir}/language/
tar zxf %{SOURCE6} -C $RPM_BUILD_ROOT%{_appdir}/templates/
install %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

find $RPM_BUILD_ROOT%{_appdir} -name Thumbs.db | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo "You have to install %{name}-install package to prepare upgrade!!!"
echo "For upgrade: http://<your.site.address>/<path>/install/upgrade.php"

%post install
echo "For installation: http://<your.site.address>/<path>/install/install.php"
echo "For upgrade: http://<your.site.address>/<path>/install/upgrade.php"
echo
echo "Remember to uninstall %{name}-install after initiation/upgrade of %{name}!!"

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/favicon.ico
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/robots.txt
%doc docs/*
%dir %{_appdir}
%{_appdir}/[!c]*.php
%{_appdir}/common.php
%{_appdir}/*.inc
%{_appdir}/admin
%{_appdir}/db
%{_appdir}/images
%{_appdir}/includes
%dir %{_appdir}/templates
%{_appdir}/templates/index.htm
%{_appdir}/templates/subSilver/*.*
%{_appdir}/templates/subSilver/admin/*.*
%{_appdir}/templates/subSilver/images/*.*
%dir %{_appdir}/language
%{_appdir}/language/index.htm
%lang(en) %{_appdir}/language/lang_english
%lang(en) %{_appdir}/templates/subSilver/images/lang_english
%lang(pl) %{_appdir}/language/lang_polish
%lang(pl) %{_appdir}/templates/subSilver/images/lang_polish
%lang(de) %{_appdir}/language/lang_german
%lang(de) %{_appdir}/templates/subSilver/images/lang_german
%lang(fr) %{_appdir}/language/lang_french
%lang(fr) %{_appdir}/templates/subSilver/images/lang_french
%attr(710,root,http) %dir /var/lib/%{name}
%attr(1770,root,http) %dir %{_avatardir}
%{_avatardir}/index.htm
%{_avatardir}/gallery
%attr(640,root,http) %config(noreplace) %{_appdir}/config.php
%attr(640,root,http) %config(noreplace) %{_appdir}/favicon.ico
%attr(640,root,http) %config(noreplace) %{_appdir}/robots.txt

%files install
%defattr(644,root,root,755)
%doc install/schemas/*.zip
%dir %{_appdir}/install
%{_appdir}/install/*.php
%dir %{_appdir}/install/schemas
%{_appdir}/install/schemas/*.sql

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: phpBB.spec,v $
Revision 1.98  2008-02-06 20:55:37  glen
- never use '<=' in trigger comparision (drop old triggers); rel 3

Revision 1.97  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.96  2007/02/12 01:06:26  baggins
- converted to UTF-8

Revision 1.95  2006/11/21 19:56:48  glen
- rel 2: use php(extension) virtuals

Revision 1.94  2006/09/30 14:53:20  glen
- cosmetics

Revision 1.93  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.92  2006/06/17 08:01:33  dzeus
- corrected langpacks source url

Revision 1.91  2006/06/17 07:32:45  dzeus
- up to 2.0.21

Revision 1.90  2006/05/02 22:33:29  dzeus
- propper Source0 URL

Revision 1.89  2006/05/02 22:32:47  dzeus
- up to 2.0.20
- removed bcond, works fine with php 5.1

Revision 1.88  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.87  2006/01/22 21:40:36  dzeus
- more missing dirs

Revision 1.86  2006/01/22 21:34:32  dzeus
- missing dir, rel. 1

Revision 1.85  2006/01/22 18:38:42  dzeus
- added favicon.ico, robots.txt to trigger

Revision 1.84  2006/01/22 16:17:44  glen
- more sane way to write %post (= %triggerpostun -- %{name} < %{version})
- corrected changelog header

Revision 1.83  2006/01/22 11:36:59  dzeus
- webapps in progress

Revision 1.82  2006/01/21 22:23:25  dzeus
- up to 2.0.19 (20195)
- starting use webapps (NFY)

Revision 1.81  2005/11/02 14:03:16  orzech
- old Source0 renamed to Source9

Revision 1.80  2005/11/02 13:05:58  orzech
- proper md5sum for Source9

Revision 1.79  2005/11/02 13:01:00  orzech
- up to 2.0.18

Revision 1.78  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.77  2005/07/24 13:55:26  paszczus
- fixed last commit msg

Revision 1.76  2005/07/24 13:52:32  paszczus
- added bcond_without php5 sent by Mikolaj Kucharski <build (at) kompuart.pl>

Revision 1.75  2005/07/20 17:54:02  orzech
- up to 2.0.17 (20175)

Revision 1.74  2005/06/29 08:06:39  dzeus
- up to 2.0.16 (security update)

Revision 1.73  2005/06/18 13:40:49  orzech
- up to 20154a

Revision 1.72  2005/05/09 06:17:09  dzeus
- realy up to 2.0.15 (phpBB-php5 run better on php 5.x)

Revision 1.71  2005/05/08 09:29:49  matipl
- 2.0.15, rel 1, STBR

Revision 1.70  2005/05/04 17:09:32  dzeus
- rel. 1, STBR

Revision 1.69  2005/05/04 16:59:10  troll
- let symlink point to %{_avatardir}, not RPM_BUILD_ROOT/%{_avatardir}
- added above symlink to %files

Revision 1.68  2005/04/17 13:02:09  dzeus
- missing dir, rel. down to 0.9 (NFY)

Revision 1.67  2005/04/17 08:02:55  dzeus
- up to 2.0.14

Revision 1.66  2005/03/12 15:41:51  troll
- data in /usr/share shouldn't change while using a package since then
  images/avatars directory moved to /var/lib and made a symlink,
- cosmetics
- rel 1.1

Revision 1.65  2005/02/28 22:23:14  dzeus
- proper %atrr

Revision 1.64  2005/02/28 21:39:38  paszczus
- cleanups

Revision 1.63  2005/02/28 21:34:30  dzeus
- uff, corrected %setup

Revision 1.62  2005/02/28 21:21:35  dzeus
- md5

Revision 1.61  2005/02/28 21:18:51  dzeus
- updated SOURCE0

Revision 1.60  2005/02/28 19:59:49  dzeus
- up to 2.0.13

Revision 1.59  2005/02/23 13:19:48  orzech
- up to 2.0.12 - security fixes and improvements

Revision 1.58  2004/12/02 07:35:35  ankry
- spaces -> tabs

Revision 1.57  2004/12/02 07:23:21  blues
- added icon and robots.txt file as config.

Revision 1.56  2004/11/27 19:02:25  orzech
- back to php5 ready version, rel.2

Revision 1.55  2004/11/19 20:58:19  orzech
- up to 2.0.11
- back to main sources (no new phph5mod available)
- fixed post
- moved config files to proper package
- use apachectl graceful
- release 1

Revision 1.54  2004/11/17 22:50:09  blues
- changed source to make it working with php5

Revision 1.53  2004/11/17 20:12:54  blues
- own directory with languages

Revision 1.52  2004/11/06 21:05:44  blues
- readded proper trigger

Revision 1.51  2004/11/05 19:37:56  speedo
- %triggerpostun added

Revision 1.50  2004/11/03 21:28:16  qboosh
- shellglob fix

Revision 1.49  2004/11/03 21:11:47  speedo
- removed TODO

Revision 1.48  2004/11/03 21:09:38  speedo
- moved data files to _datadir
- moved config file to _sysconfdir

Revision 1.47  2004/10/31 22:22:38  paladine
- spaces->tabs
- formatting

Revision 1.46  2004/08/10 13:24:17  blues
- release 2

Revision 1.45  2004/08/10 13:20:56  blues
- release 1.1

Revision 1.44  2004/08/07 11:04:00  undefine
- seems to work. release 1

Revision 1.43  2004/08/06 09:41:05  blues
- 2.0.10, not tested, security update

Revision 1.42  2004/03/30 16:04:19  undefine
- allow http write to images/avatars directories - there are users avatars uploaded by users.

Revision 1.41  2004/03/29 14:17:36  adamg
- updated to 2.0.8a (security fixes)

Revision 1.40  2004/03/27 20:58:16  orzech
- sec update to 2.0.8, STBR

Revision 1.39  2004/01/05 10:39:57  adamg
- switched to bz2 sources

Revision 1.38  2004/01/05 10:33:56  adamg
- updated to 2.0.6c, fixes some security flaws:
    http://www.phpbb.com/phpBB/viewtopic.php?f=14&t=161943
    http://securitytracker.com/alerts/2003/Dec/1008571.html

Revision 1.37  2003/12/06 04:17:59  undefine
- release 3 to allow upgrade from RA

Revision 1.36  2003/12/06 04:13:36  undefine
- new md5sums for fixed packages, release 2

Revision 1.35  2003/08/30 13:05:32  blues
- small info in trigger - hope it'll work right

Revision 1.34  2003/08/04 14:23:29  orzech
- up to 2.0.6
  "This release fixes a number of potential security issues and
  hopefully addresses most problems seen with email."
- STBR to ra/updates/security (?)

Revision 1.33  2003/06/16 20:10:42  adamg
- updated to 2.0.5

Revision 1.32  2003/05/28 13:01:15  malekith
- massive attack: source-md5

Revision 1.31  2003/05/25 06:25:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/03/25 14:53:49  mkochano
- Release 1.1.
- Removed requirement for php-myslq.

Revision 1.29  2003/03/10 13:53:43  qboosh
- working Source URL

Revision 1.28  2003/01/16 21:12:33  orzech
- up to 2.0.4

Revision 1.27  2003/01/10 21:27:17  blues
- simplified directory creating, more docs

Revision 1.26  2003/01/10 16:42:20  orzech
- typo

Revision 1.25  2003/01/10 16:39:41  orzech
- moved schemas do phpBB-install
- rel 6

Revision 1.24  2003/01/01 13:43:28  blues
- group Applications/WWW

Revision 1.23  2002/12/15 23:47:07  blues
- few fixes in directories permisions. Works fine now. STBR to Ra security
  updates!

Revision 1.22  2002/12/15 23:26:48  blues
- I said in branch...

Revision 1.21  2002/12/15 23:23:46  blues
- for Ra there is no services

Revision 1.20  2002/12/09 09:11:33  qboosh
- typo, missing dirs

Revision 1.19  2002/12/08 02:54:38  blues
- added post to install package

Revision 1.18  2002/12/08 02:48:23  blues
- separated install package - this files in main package was security hole
  Everyone could destroy all forums data and start new forum...

Revision 1.17  2002/12/08 02:29:49  blues
- release 5 - security fix in viewtopic code. not tested yet, please do
  this - for Ra updates STBR

Revision 1.16  2002/12/07 17:31:21  orzech
- /home -> /home/services

Revision 1.15  2002/11/07 14:17:34  blues
- release 4 - STBR

Revision 1.14  2002/11/07 12:23:45  blues
- make config marked as config, changed ownership of files, NFY

Revision 1.13  2002/10/28 07:22:38  kloczek
- integrate all language specyfic subpackages in main,
- simplifications in %files.

Revision 1.12  2002/10/27 18:28:46  qboosh
- fixed descriptions, added missing dirs (not sure about one entry...)

Revision 1.11  2002/10/27 00:28:27  pbern
- add new lang: germany & french

Revision 1.10  2002/10/26 23:51:29  pbern
- add missing files (images in subSilver)

Revision 1.9  2002/10/26 10:41:00  kloczek
- reorders in %files.

Revision 1.8  2002/10/26 10:30:13  pbern
- now pl & en lang stay in head pack

Revision 1.7  2002/10/26 09:32:38  kloczek
- cosmetica and typos.

Revision 1.6  2002/10/26 09:27:41  pbern
- add missing directory

Revision 1.5  2002/10/26 08:11:48  pbern
- multilang support WORKING
- some fix

Revision 1.4  2002/10/25 17:48:58  pbern
- Add simple multi lang support
- generate polsih & english (but its still english )

Revision 1.3  2002/10/25 11:55:24  qboosh
- A: local mysql is not required; removed R

Revision 1.2  2002/10/25 11:07:58  qboosh
- pl description, missing dirs
- Q: does it really require _local_ mysql?

Revision 1.1  2002/10/15 15:44:08  blues
- initial release - STBR
